Bug 204271 - zd1201 802.11b USB driver no longer works
zd1201 802.11b USB driver no longer works
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Pete Zaitcev
Brian Brock
:
Depends On:
Blocks: 574202
  Show dependency treegraph
 
Reported: 2006-08-27 23:49 EDT by Chris Tyler
Modified: 2010-03-16 16:37 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 574202 (view as bug list)
Environment:
Last Closed: 2006-09-16 18:07:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Tyler 2006-08-27 23:49:50 EDT
Description of problem:
The zd1201 USB wireless driver, which was working in FC5 and in Rawhide until
recently, no longer works.

Version-Release number of selected component (if applicable):
Kernel versions 2.6.17-1.2556 through 2.6.17-1.2586.fc6

Steps to Reproduce:
1. Boot system.
2. (Install zd1201 firmware images if not already installed)
3. Attach zd1201 USB wireless adapter.

Actual results:
1. No wlan0 interface appears.
2. LED on USB unit flashes.
3. These messages appear in /var/log/messages:
Aug 27 23:22:20 localhost kernel: usb 2-1: new full speed USB device using
uhci_hcd and address 2
Aug 27 23:22:20 localhost kernel: usb 2-1: configuration #1 chosen from 1 choice
Aug 27 23:22:20 localhost kernel: usb 2-1: <NULL>: rx urb failed: -84
Aug 27 23:22:20 localhost kernel: zd1201: probe of 2-1:1.0 failed with error -5
Aug 27 23:22:20 localhost kernel: usbcore: registered new driver zd1201


Expected results:
wlan0 interface should appear, LED on USB wireless unit should be on steady, and
the interface should be usable for 802.11b connections.
Comment 1 David Lawrence 2006-09-05 15:05:48 EDT
Changing to proper owner, kernel-maint.
Comment 2 Chris Tyler 2006-09-16 18:07:31 EDT
It's back! In FC6T3 and rawhide 2006-09-16 the driver works again.

Note You need to log in before you can comment on or make changes to this bug.